---
title: HTMLCollection.item
slug: Web/API/HTMLCollection/item
tags:
  - API
  - HTML DOM
  - HTMLCollection
  - Method
  - Reference
  - item
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The {{domxref("HTMLCollection")}} method <code>item()</code> returns the node located at the specified offset into the collection.</span></p>

<div class="note">
<p><strong>Note:</strong> Because the contents of an <code>HTMLCollection</code> are live, changes to the underlying DOM can and will cause the position of individual nodes in the collection to change, so the index value will not necessarily remain constant for a given node.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>element</em> = <em>HTMLCollection</em>.item(<em>index</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>index</code></dt>
 <dd>The position of the {{domxref("Node")}} to be returned. Elements appear in an <code>HTMLCollection</code> in the same order in which they appear in the document's source.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The {{domxref("Node")}} at the specified index, or <code>null</code> if <code>index</code> is less than zero or greater than or equal to the length property.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>item()</code> method returns a numbered element from an <code>HTMLCollection</code>. In JavaScript, it is easier to treat the <code>HTMLCollection</code> as an array and to index it using array notation. See the {{anch("Example", "example")}} below.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">var c = document.images;  // This is an HTMLCollection
var img0 = c.item(0);     // You can use the item() method this way
var img1 = c[1];          // But this notation is easier and more common
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLCollection.item")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("NodeList.item()")}}</li>
</ul>
